<?php
/**
 * @package	Website Blacklist Monitor
 * @copyright	Copyright (C) 2014 SiteGuarding.com. All rights reserved.
 * @license	GNU General Public License version 2 or later
 */
/** @var $this BlacklistsViewBlacklistss */
defined( '_JEXEC' ) or die;// No direct access
JHtml::_( 'bootstrap.tooltip' );
JHtml::_( 'behavior.multiselect' );
JHtml::_( 'formbehavior.chosen', 'select' );


?>
        <style>
        .row_box {
            padding: 20px;
            color: white;
            margin-bottom: 15px;
            max-width: 100%;
                font-size: 15px;
        }
        .row_alert {
            background-color: #f44336; /* Red */
        }
        .row_ok {
            background-color: #4CAF50; /* Green */
        }
        .txt_alert {
            color: #f44336; /* Red */
        }
        .fix_bttn {
            float:right;

            color: #fff;
            font-size: 14px;
            font-weight: 700;
            text-transform: uppercase;
            background: #86c724;
            padding: 7px 10px;
            border-radius: 5px;
            white-space: nowrap;
            transition: all 0.3s ease;
            margin-top: -7px;
            text-decoration: none;

        }
        .fix_bttn:hover {
        	background: #4B9307;
            color: #fff;
            text-decoration: none;
        }
        .bttn_recheck{
            box-shadow: rgb(62, 115, 39) 0px 10px 14px -7px;
            background: linear-gradient(rgb(119, 181, 90) 5%, rgb(114, 179, 82) 100%) rgb(119, 181, 90);
            border-radius: 4px;
            border: 1px solid rgb(75, 143, 41);
            display: inline-block;
            cursor: pointer;
            color: rgb(255, 255, 255);
            font-family: Arial;
            font-size: 20px;
            font-weight: bold;
            padding: 10px 42px;
            text-decoration: none;
            text-shadow: rgb(91, 138, 60) 0px 1px 0px;
        }
        </style>
		<div style="margin:auto;width:60%;">
<form action="<?php echo JRoute::_( 'index.php?option=com_blacklists&view=blacklistss' ); ?>" method="post" name="adminForm" id="adminForm">


			<input class="fix_bttn" style="margin:auto;width:20%;" type="submit" name="submit" value="scan">
			<input type="hidden" name="option" value="com_blacklists">			
			<input type="hidden" name="task" value="scan">
			<?php echo JHtml::_( 'form.token' ); ?>


</form>
       <h3>Results for <?php echo PLGSGWBM::PrepareDomain(JURI::root()); ?></h3>
        
        <?php
        $list = PLGSGWBM::$blacklists;
        foreach ($list as $k => $row)
        {
            $row['status'] = 'OK';
            $list[$k] = $row;
        }
        $latest_results = (array)unserialize($this->data['latest_results']);
        if (count($latest_results))
        {
            foreach ($latest_results as $row)
            {
                $list[$row]['status'] = 'BL';
            }
        }
        
        if ($this->data['latest_scan_date'] != 0)
        {
            // Prepare BL and OK lists
            $tmp_arr = array('BL' => array(), 'OK' => array());
            foreach ($list as $k => $row)
            {
                if ($row['status'] == "OK")
                {
                    $tmp_arr['OK'][$k] = $row;
                }
                else {
                    $tmp_arr['BL'][$k] = $row;
                }
            }
            echo '<p>Latest check was '.date("Y-m-d H:i:s",$this->data['latest_scan_date']).'</p>';
            
            // Show blocked
            foreach ($tmp_arr['BL'] as $k => $row)
            {
                /*if ($row['status'] == "OK")
                {
                    $txt = '<span class="dashicons dashicons-yes"></span> Not blacklisted in <img src="'.$row['logo'].'"> <b>'.$k.'</b>';
                    $row_class = 'row_ok';
                }
                else {*/
                    $txt = '<span class="dashicons dashicons-warning"></span> Your domain ('.PLGSGWBM::PrepareDomain(JURI::root()).') is blacklisted in <img src="'.$row['logo'].'"> <b>'.$k.'</b><a href="https://www.siteguarding.com/en/services/malware-removal-service" target="_blank" class="fix_bttn"><span class="dashicons dashicons-shield"></span> Fix My Website</a>';
                    $row_class = 'row_alert';
                /*}*/
                
                echo '<div class="row_box '.$row_class.'">'.$txt.'</div>';
            }
            
            // Show OK
            foreach ($tmp_arr['OK'] as $k => $row)
            {
                /*if ($row['status'] == "OK")
                {*/
                    $txt = '<span class="dashicons dashicons-yes"></span> Not blacklisted in <img src="'.$row['logo'].'"> <b>'.$k.'</b>';
                    $row_class = 'row_ok';
                /*}
                else {
                    $txt = '<span class="dashicons dashicons-warning"></span> Your website is blacklisted in <img src="'.$row['logo'].'"> <b>'.$k.'</b>';
                    $row_class = 'row_alert';
                }*/
                
                echo '<div class="row_box '.$row_class.'">'.$txt.'</div>';
            }

        }
        else {
            echo '<p class="txt_alert">You don\'t have any results yet. Please use the button <b>Recheck</b> to get the results.</p>';
        } ?>
		</div>


