<?php
/**
 * @package	Website Blacklist Monitor
 * @copyright	Copyright (C) 2014 SiteGuarding.com. All rights reserved.
 * @license	GNU General Public License version 2 or later
 */
// No direct access
defined( '_JEXEC' ) or die;

/**
 * View to display a list of items
 * @author SiteGuarding
 */
class BlacklistsViewBlacklistss extends JViewLegacy
{
	/**
	 * @var $items stdClass[]
	 */
	public $items;
	/**
	 * @var $pagination JPagination
	 */
	public $pagination;
	/**
	 * @var $state JObject
	 */
	public $state;
	/**
	 * @var $user JUser
	 */
	public $user;
	/**
	 * @var $authors stdClass[]
	 */
	public $authors;
	public $data;

	/**
	 * Method to display the current pattern
	 * @param type $tpl
	 */
	public function display( $tpl = null )
	{
		$session = JFactory::getSession();
		$this->data = $session->get('data');
		$this->loadHelper( 'blacklists' );

		$this->addToolbar();
		blacklistsHelper::addSubmenu( 'blacklistss' );
		$this->sidebar = JHtmlSidebar::render();

		
		
		
		
		parent::display( $tpl );
	}

	/**
	 * Method to display the toolbar
	 */
	protected function addToolbar()
	{
		JToolBarHelper::title( JText::_( 'COM_BLACKLISTS' ) );
	}

}